Bug 56702 - image 'height' attribute is a javascript string
image 'height' attribute is a javascript string
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-25 15:35 EST by Tim Waugh
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 13:46:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 129307 None None None Never

  None (edit)
Description Tim Waugh 2001-11-25 15:35:15 EST
Description of Problem:
The 'height' attribute of an img element is treated like a string in 
javascript.

Version-Release number of selected component (if applicable):
kdelibs-2.2-11
kdebase-2.2-12

How Reproducible:
100%

Steps to Reproduce:
1. View the following document:

<html>
<head>
<script language="javascript"><!--
function init (Id) {
alert(document.getElementById(Id).height + 1 + 2 + 3);
}
--></script>
</head>
<body onLoad="init('id1')">
<img id="id1" src="/dev/null" height="50">
</body>
</html>

Actual Results:
'50123'

Expected Results:
'56'

Additional Information:
This works properly in Mozilla.

bugs.kde.org is down, so I'm putting this here instead. :-)
Comment 1 Tim Waugh 2002-03-18 04:59:10 EST
In KDE3:

Actual results:
'6'

Expected results:
'56'
Comment 2 Ngo Than 2004-09-14 05:01:08 EDT
Please verify this with a newer version of Red Hat Enterprise Linux or
Fedora Core and reopen it against the new version if it still occurs.

Closing as "CURRENTRELEASE" for now.
Comment 3 Tim Waugh 2004-09-14 05:05:52 EDT
Still occurs with:

kdelibs-3.3.0-2
kdebase-3.3.0-3

Comment 4 Petr Rockai 2006-07-17 13:46:18 EDT
Moving upstream (and trying to add an inter-bugzilla reference, let's see 
what happens).

Note You need to log in before you can comment on or make changes to this bug.